# This is a BitKeeper generated patch for the following project:
# Project Name: Linux kernel tree
# This patch format is intended for GNU patch command version 2.5 or higher.
# This patch includes the following deltas:
#	           ChangeSet	1.554   -> 1.555  
#	drivers/usb/core/hub.h	1.8     -> 1.9    
#	drivers/usb/serial/usbserial.c	1.30    -> 1.31   
#	drivers/usb/input/hid-core.c	1.24    -> 1.25   
#
# The following is the BitKeeper ChangeSet Log
# --------------------------------------------
# 02/05/07	greg@kroah.com	1.555
# USB
# 
# minor -dj tree updates.
# --------------------------------------------
#
diff -Nru a/drivers/usb/core/hub.h b/drivers/usb/core/hub.h
--- a/drivers/usb/core/hub.h	Tue May  7 15:18:09 2002
+++ b/drivers/usb/core/hub.h	Tue May  7 15:18:09 2002
@@ -9,6 +9,7 @@
  */
 
 #include <linux/list.h>
+#include <linux/compiler.h>	/* likely()/unlikely() */
 
 /*
  * Hub request types
diff -Nru a/drivers/usb/input/hid-core.c b/drivers/usb/input/hid-core.c
--- a/drivers/usb/input/hid-core.c	Tue May  7 15:18:09 2002
+++ b/drivers/usb/input/hid-core.c	Tue May  7 15:18:09 2002
@@ -1477,20 +1477,20 @@
 {
 	struct hid_device *hid = ptr;
 
+	dbg("cleanup called");
 	usb_unlink_urb(hid->urbin);
 	usb_unlink_urb(hid->urbout);
 	usb_unlink_urb(hid->urbctrl);
 
-	if (hid->claimed & HID_CLAIMED_INPUT)
-		hidinput_disconnect(hid);
-	if (hid->claimed & HID_CLAIMED_HIDDEV)
-		hiddev_disconnect(hid);
-
 	usb_free_urb(hid->urbin);
 	usb_free_urb(hid->urbctrl);
 	if (hid->urbout)
 		usb_free_urb(hid->urbout);
 
+	if (hid->claimed & HID_CLAIMED_INPUT)
+		hidinput_disconnect(hid);
+	if (hid->claimed & HID_CLAIMED_HIDDEV)
+		hiddev_disconnect(hid);
 	hid_free_device(hid);
 }
 
diff -Nru a/drivers/usb/serial/usbserial.c b/drivers/usb/serial/usbserial.c
--- a/drivers/usb/serial/usbserial.c	Tue May  7 15:18:09 2002
+++ b/drivers/usb/serial/usbserial.c	Tue May  7 15:18:09 2002
@@ -1665,7 +1665,7 @@
 #if 0
 static kdev_t usb_console_device(struct console *co)
 {
-	return MKDEV(SERIAL_TTY_MAJOR, co->index);	/* TBD */
+	return mk_kdev(SERIAL_TTY_MAJOR, co->index);	/* TBD */
 }
 #endif
 
